<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_admin_self" %>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<bbs:AdminHeader title="修改自己的管理登录设置" runat="server" />
<script language="javascript">
function chkPost()
{
	var f = document.forms[0];
	if (f.admin.value.trim() == '')
	{
		alert("没有填写登录名称");
		f.admin.focus();
		return false;
	}
	else if (f.password.value != '' && f.password.value.length < 6)
	{
		alert("密码不能小于6位");
		f.password.focus();
		return false;
	}
	else if (f.password.value != f.pwdconfirm.value)
	{
		alert("两次密码输入不一致");
		f.password.focus();
		return false;
	}
	else
	{
		return true;
	}
}
</script>
<form runat="server">
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0" ID="Table1">
		<tr>
			<td class="title" colspan="2">修改自己的管理登录设置</td>
		</tr>
		<tr>
			<td class="left" width="30%">登录名</td>
			<td class="right" width="70%">
				<input type="text" id="admin" maxlength="16" style="width:140px" onFocus="IEvent('focus',this);"
					onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)"
					runat="server" />
				<br />
				<span>输入登录后台的用户名</span>
			</td>
		</tr>
		<tr>
			<td class="left">新密码</td>
			<td class="right">
				<input type="password" id="password" maxlength="16" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" runat="server" />
				<br />
				<span>不修改密码则请留白</span>
			</td>
		</tr>
		<tr>
			<td class="left">确认一遍密码</td>
			<td class="right">
				<input type="password" name="pwdconfirm" id="pwdconfirm" maxlength="16" onFocus="IEvent('focus',this);"
					onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)"
					runat="server" />
				<br />
				<span>不修改密码则请留白</span>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center" class="bottom"><input type="submit" id="save" class="button" value="修 改" onFocus="IEvent('focus',this);"
					onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" onclick="return chkPost()" /></td>
		</tr>
	</table>
</form>
<bbs:AdminFooter runat="server" />
